summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVirgil Dupras <vdupras@gentoo.org>2019-03-30 22:25:14 -0400
committerVirgil Dupras <vdupras@gentoo.org>2019-03-31 09:03:02 -0400
commit2c57a26b306fb9ee1c81fa1abaf0c3b2632c668d (patch)
tree53a820d2302b86c1ea7909fe88a7682403c01d3f /dev-python/sphinxcontrib-serializinghtml
parentdev-python/sphinxcontrib-jsmath: new package (diff)
downloadgentoo-2c57a26b306fb9ee1c81fa1abaf0c3b2632c668d.tar.gz
gentoo-2c57a26b306fb9ee1c81fa1abaf0c3b2632c668d.tar.bz2
gentoo-2c57a26b306fb9ee1c81fa1abaf0c3b2632c668d.zip
dev-python/sphinxcontrib-serializinghtml: new package
Signed-off-by: Virgil Dupras <vdupras@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-python/sphinxcontrib-serializinghtml')
-rw-r--r--dev-python/sphinxcontrib-serializinghtml/Manifest1
-rw-r--r--dev-python/sphinxcontrib-serializinghtml/metadata.xml11
-rw-r--r--dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.1.ebuild27
3 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-serializinghtml/Manifest b/dev-python/sphinxcontrib-serializinghtml/Manifest
new file mode 100644
index 00000000000..d5f8744d0f8
--- /dev/null
+++ b/dev-python/sphinxcontrib-serializinghtml/Manifest
@@ -0,0 +1 @@
+DIST sphinxcontrib-serializinghtml-1.1.1.tar.gz 15959 BLAKE2B a91ceee8fca73853220c43951c69b983662c35e420b502ab76ebd49dbf6587c749998b8c3440461d64de02de2a22a34f92279bf8ba739534e72f258da5d3bb43 SHA512 5cf5e4364d415d001c894de8d0983d9e20e5a65d9df39fc59a4e9db3bfc4fb2f688e7864c7228f8f1593f2d486345dd7497072e29726dc10164227384ece598f
diff --git a/dev-python/sphinxcontrib-serializinghtml/metadata.xml b/dev-python/sphinxcontrib-serializinghtml/metadata.xml
new file mode 100644
index 00000000000..7d1ab6496a5
--- /dev/null
+++ b/dev-python/sphinxcontrib-serializinghtml/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">sphinxcontrib-serializinghtml</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.1.ebuild b/dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.1.ebuild
new file mode 100644
index 00000000000..c76dbcd0d04
--- /dev/null
+++ b/dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs outputs serialized HTML files"
+HOMEPAGE="http://www.sphinx-doc.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+
+RDEPEND=""
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}